/*   This file is part of QtFan.

    QtFan is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; version 2

    QtFan is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with QtFan.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef PREFERENCESDIALOG_H
#define PREFERENCESDIALOG_H

#include <QDialog>

class QCheckBox;
class QLineEdit;
class QDialogButtonBox;
class QLabel;
class QComboBox;

class PreferencesDialog : public QDialog
{
	Q_OBJECT

	public:
		PreferencesDialog(QList<QString>, QList<QString>);

	protected:
		void accept();
		
	private slots:
		void readSettings();
		void writeSettings();
		
	private:
		int closeToTray;
		int startMinimized;
		int minimizeToTray;
		QCheckBox *minimizeTray;
		QCheckBox *closeTray;
		QCheckBox *startMinimizedChk;
		QLineEdit *fanName[8];
		QLineEdit *tempName[8];
		QDialogButtonBox *ok_cancel;
		QComboBox *trayCombo;
		QLabel *trayTemp;
};

#endif
